Name: synce-serial
Version: 0.9.1
Release: alt1

Summary: Serial connection support for SynCE
License: MIT
Group: Communications
Packager: SynCE Development Team <synce@packages.altlinux.org>

Url: http://synce.sourceforge.net
Source0: %name-%version.tar.gz
Source1: synce.hotplug
Source2: synce-usb.usermap

Requires: ppp synce-dccm

# Automatically added by buildreq on Wed Sep 01 2004
BuildRequires: gcc-c++ hostinfo libstdc++-devel

%description
This module contains helper scripts for setting up a serial connection for use
with SynCE.

WARNING: ppp-2.4.1.20031003-alt1 known to cause troubles with USB devices, 
downgrading to ppp-2.4.1-alt8 from e.g. ALM2.2 may help.

See http://bugzilla.altlinux.ru/show_bug.cgi?id=3325 for details.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
%__install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/hotplug/usb/synce
%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/hotplug/usb/synce-usb.usermap

%files
%_bindir/*
%dir %_datadir/synce
%_datadir/synce/*
%_sysconfdir/hotplug/usb/*
%_man8dir/*

%changelog
* Sun Jul 24 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Sun Jun 12 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.9.0-alt2
- removed %post/%postup macros
- updated synce-usb.usermap file (Dell Axim x30m added)
- updated workplace for synce/synce-usb.usermap (moved from /usr/lib/hotplug to
  /etc/hotplug)
- #5623 fix (/usr/share/synce)
- synce.hotplug fix (usb-serial changed to usbserial)

* Wed Sep 01 2004 Michael Shigorin <mike@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Sun Apr 25 2004 Michael Shigorin <mike@altlinux.ru> 0.8.9-alt1
- 0.8.9

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 0.8-alt4
- added synce-serial-config call to hotplug script;
  not perfect (won't handle more than one device simultaneously)
- added ppp version warning

* Fri Nov 28 2003 Michael Shigorin <mike@altlinux.ru> 0.8-alt2
- added hotplug support

* Fri Nov 07 2003 Michael Shigorin <mike@altlinux.ru> 0.8-alt1
- built for ALT Linux

